Upload Port Document
curl --request POST \
--url https://api.bland.ai/v1/sip/port/document \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '{}'import requests
url = "https://api.bland.ai/v1/sip/port/document"
payload = {}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.bland.ai/v1/sip/port/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"document_sid": "doc_abc123"
},
"errors": null
}
Number Porting
Upload Port Document
Upload a Letter of Authorization (LOA) or proof of ownership document for number porting.
POST
/
v1
/
sip
/
port
/
document
Upload Port Document
Headers
Your API key for authentication.
Body (Multipart Form Data)
The document file to upload. Accepted formats: PDF, JPEG, PNG, GIF, WebP. Maximum file size: 10MB.This should be a utility bill or carrier invoice dated within the last 30 days that shows the account name, owner/authorized user name, and service address.
Response
A unique document identifier to reference when initiating the port request.
Example Request
curl -X POST https://api.bland.ai/v1/sip/port/document \
-H "Authorization: Bearer <token>" \
-F "file=@/path/to/utility-bill.pdf"
{
"data": {
"document_sid": "doc_abc123"
},
"errors": null
}
Docs for agents: llms.txt
Was this page helpful?
⌘I